%define major		2
%define libname		%mklibname cares %{major}
%define libdevelname	%mklibname cares -d

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.34.5
Release:	%mkrel 2
License:	MIT
Group:		System/Libraries
URL:		https://c-ares.org/
Source0:	https://github.com/c-ares/c-ares/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	A library that performs asynchronous DNS operations
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libdevelname}
This package contains the header files and development libraries
needed to compile applications or shared objects that use c-ares.

%prep
%autosetup -p1

%build
%cmake -DCARES_BUILD_TOOLS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.md
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libdevelname}
%doc README.md RELEASE-NOTES.md
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libcares.pc
%{_libdir}/cmake/c-ares/
%{_mandir}/man3/ares_*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.34.5-2.mga10
+ Revision: 2251035
- Mageia 10 Mass Rebuild

* Wed Apr 09 2025 daviddavid <daviddavid> 1.34.5-1.mga10
+ Revision: 2174281
- new version: 1.34.5

* Fri Jan 17 2025 mrambo3501 <mrambo3501> 1.34.4-1.mga10
+ Revision: 2139441
- version 1.34.4

* Wed Nov 27 2024 daviddavid <daviddavid> 1.34.2-1.mga10
+ Revision: 2119481
- new version: 1.34.2

* Sun Aug 25 2024 neoclust <neoclust> 1.33.1-1.mga10
+ Revision: 2091282
- New version 1.33.1

* Mon Aug 19 2024 daviddavid <daviddavid> 1.33.0-1.mga10
+ Revision: 2087002
- new version: 1.33.0

* Fri Jun 07 2024 danf <danf> 1.30.0-1.mga10
+ Revision: 2070770
- new version: 1.30.0
- Update URLs

* Tue Apr 23 2024 daviddavid <daviddavid> 1.28.1-1.mga10
+ Revision: 2060546
- new version: 1.28.1

* Sun Mar 10 2024 daviddavid <daviddavid> 1.27.0-1.mga10
+ Revision: 2049050
- new version: 1.27.0

* Tue Feb 27 2024 ns80 <ns80> 1.21.0-2.mga10
+ Revision: 2044584
- add upstream patch for CVE-2024-25629 (mga#32894)

* Wed Nov 01 2023 daviddavid <daviddavid> 1.21.0-1.mga10
+ Revision: 2003251
- new version: 1.21.0

* Thu Jun 08 2023 ns80 <ns80> 1.19.1-1.mga9
+ Revision: 1961311
- new version 1.19.1 for CVE-2023-32067, CVE-2023-31147, CVE-2023-31130, CVE-2023-31124 (mga#31985)

* Sat Feb 11 2023 mrambo3501 <mrambo3501> 1.19.0-1.mga9
+ Revision: 1940751
- version 1.19.0

* Thu Mar 17 2022 umeabot <umeabot> 1.18.1-2.mga9
+ Revision: 1796638
- Mageia 9 Mass Rebuild

* Sat Nov 06 2021 joequant <joequant> 1.18.1-1.mga9
+ Revision: 1754105
- update to 1.18.1

* Mon Aug 30 2021 ns80 <ns80> 1.17.2-1.mga9
+ Revision: 1743578
- new version 1.17.2 for CVE-2021-3672 (mga#29350)

* Mon Nov 23 2020 luigiwalser <luigiwalser> 1.17.1-1.mga8
+ Revision: 1648759
- 1.17.1
- remove extra sources (fixed upstream)

* Tue Nov 17 2020 daviddavid <daviddavid> 1.17.0-1.mga8
+ Revision: 1646930
- new version: 1.17.0

* Tue May 12 2020 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1583252
- new version: 1.16.1

* Fri Mar 20 2020 shlomif <shlomif> 1.16.0-1.mga8
+ Revision: 1558363
- New version 1.16.0

* Fri Feb 14 2020 umeabot <umeabot> 1.15.0-2.mga8
+ Revision: 1520240
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 13 2018 daviddavid <daviddavid> 1.15.0-1.mga7
+ Revision: 1329765
- new version: 1.15.0

* Sat Sep 22 2018 umeabot <umeabot> 1.14.0-3.mga7
+ Revision: 1295768
- Mageia 7 Mass Rebuild

* Mon May 21 2018 daviddavid <daviddavid> 1.14.0-2.mga7
+ Revision: 1230972
- disable static libraries and remove '.la' files

* Sun Mar 11 2018 shlomif <shlomif> 1.14.0-1.mga7
+ Revision: 1208195
- New version 1.14.0

* Sat Jun 24 2017 luigiwalser <luigiwalser> 1.13.0-1.mga6
+ Revision: 1108345
- 1.13.0 (fixes CVE-2017-1000381)

* Thu Sep 29 2016 luigiwalser <luigiwalser> 1.12.0-1.mga6
+ Revision: 1057520
- 1.12.0 (fixes CVE-2016-5180)

* Thu Mar 24 2016 shlomif <shlomif> 1.11.0-1.mga6
+ Revision: 994738
- New version 1.11.0

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 942942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 742412
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 693547
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 678268
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 533073
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 akien <akien> 1.10.0-1.mga4
+ Revision: 449639
- New upstream release (1.10.0)
- Fixed Source0 URL
- Synced Patch0 with Fedora (new patch for optflags)
- Added Patch1 from Fedora (multilib)
- Added BR on autoconf and use of autoreconf

* Fri Jan 11 2013 umeabot <umeabot> 1.9.1-2.mga3
+ Revision: 347279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 tv <tv> 1.9.1-1.mga3
+ Revision: 264152
- drop patch 1 (fix build)
- new release

* Tue Sep 06 2011 tv <tv> 1.7.5-1.mga2
+ Revision: 139411
- rediff patch 0
- new release

* Fri Apr 15 2011 ahmad <ahmad> 1.7.4-1.mga1
+ Revision: 85576
- Update to 1.7.4
- Add a patch to make the build respect our default compile flags (Fedora)
- Add a patch to to fix multi arch installs (Fedora)
- drop the deprecated --enable-thread configure options
- don't use --enable-optimize as it adds some compile flags (other than the our defaults)

* Tue Jan 11 2011 blino <blino> 1.7.3-2.mga1
+ Revision: 5712
- remove old ldconfig scriptlets
- imported package c-ares


* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.3-1mdv2011.0
+ Revision: 550110
- update to new version 1.7.3

* Mon Mar 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-1mdv2010.1
+ Revision: 528651
- update to new version 1.7.1

* Sun Dec 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.0-1mdv2010.1
+ Revision: 480446
- fix file list
- update to new version 1.7.0

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-2mdv2010.0
+ Revision: 413197
- rebuild

* Thu Dec 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 313389
- update to new version 1.6.0
- enable non-blocking communication

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.3-1mdv2009.1
+ Revision: 307483
- fix urls
- enable thread-safe functions
- use libgcc when linking
- spec file clean
- update to new version 1.5.3

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.5.2-2mdv2009.0
+ Revision: 266440
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.5.2-1mdv2009.0
+ Revision: 213878
- New version 1.5.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Nov 24 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.1-1mdv2008.1
+ Revision: 111764
- fix group
- initial package based on Fedora spec, thx! :)
- create c-ares

